Create
Request address
POST
https://sandbox.j-pay.net/pay/bank/create
Test account
Merchant ID:10010
ApiKey: 7e4nicn14nhyup146dfbi8hpnpus9juz
Request headers
| Header Name | Header Value |
|---|---|
| Agent-Merchant-Id | 10010 |
Request parameters
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| memberid | String | Y | Y | Merchant id |
| type | Enum | Y | Y | Type of bank account: china: CNY only other: Including Hong Kong, Macao and Taiwan |
| bank_name | String | Y | Y | Bank name |
| account | String | Y | Y | Account number(Do not add a licensed receiving account) |
| subbranch | String | N | N | Sub-Branch name |
| address | String | N | N | Bank address |
| swift_code | String | N | N | SWIFT code, required for other bank accounts. |
| remark | String | N | N | Remark |
| sign | String | Y | N | Please see the verification signature field format |
Response Parameters
| Parameter Name | Type | Parameter Description |
|---|---|---|
| code | String | Status of the request 1:Successful 0:Fail |
| info | String | Message of the request |
| data | Array | Response data |
| data.id | String | Bank account ID |
Demo
- Javascript
- Php
- Python
import { md5 } from "js-md5";
import axios from "axios";
const KEY = "7e4nicn14nhyup146dfbi8hpnpus9juz";
const MEMBER_ID = "10010";
let query = {
memberid: "10304",
bank_name: 'ETH',
account: '0000000000000000',
type: 'other',
};
let signData = [];
Object.keys(query)
.sort()
.forEach((key) => signData.push(`${key}=${query[key]}`));
signData.push(`key=${KEY}`);
Object.assign(query, {
sign: md5(signData.join("&")).toUpperCase(),
swift_code: 'ETHBUSD',
});
axios
.request({
url: "https://sandbox.j-pay.net/pay/bank/create",
method: "post",
headers: {
"Agent-Merchant-Id": MEMBER_ID,
"Content-Type": "application/x-www-form-urlencoded",
},
data: query,
})
.then(({ data }) => {
console.log("success", data);
})
.catch((error) => {
console.log("error", error);
});
Continuously updating...
Continuously updating...